#ifndef DIALOGMISSCAPTURE_H
#define DIALOGMISSCAPTURE_H

#include <QDialog>

namespace Ui {
class DialogMissCapture;
}

class DialogMissCapture : public QDialog
{
    Q_OBJECT

public:
    explicit DialogMissCapture(QWidget *parent = 0);
    ~DialogMissCapture();

    void SetErrorType(int nType);
    void SetErrorString(const QString strErrorMessage);

    void Show();

public:
    virtual void resizeEvent(QResizeEvent *event);

private slots:
    void on_pushButton_clicked();

private:
    Ui::DialogMissCapture *ui;
};

#endif // DIALOGMISSCAPTURE_H
